
mount_dia = 8;
hole_separation=[153, 51];

module mount(d) {
  circle(d=d, $fn=32);
}

module mounts(d) {
  translate([0, 0]) mount(d);
  translate([hole_separation[0], 0]) mount(d);
  translate([0, hole_separation[1]]) mount(d);
  translate([hole_separation[0], hole_separation[1]]) mount(d);
}

module frame_outline() {
  difference() {
    square([153+8, 59]);
    translate(hole_separation)
      rotate([0, 0, -45])
      translate([-500, 0])
      square([1000, 1000]);
  }
}

difference() {
  union() {
    linear_extrude(7) mounts(mount_dia);
    linear_extrude(1.5) difference() {
      offset(r=mount_dia/2) frame_outline();
      offset(r=-mount_dia/2) frame_outline();
    }
  }
  linear_extrude(100) mounts(2.7);
}
